Subject: bug#57976: 29.0.50; Complex emoji have extra spacing

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 21 Sep 2022 15:35:02 +0200

Protesilaos Stavrou <[email-masked]> writes:

> I have no reproducible recipe with harfbuzz 5.2.0 beside Emacs.  I wrote
> the M-x emoji-list buffer to a file and visited it with a generic text
> editor: the display looks fine.

If you take one of the emojis that displayed correctly and one that was
wrong and then say

(string-pixel-width "😶‍🌫️")

on both -- what does that return?  From the display, it kinda looked
like Emacs thought that some of the glyphs were really wide.